FISH_VI_KEY_BINDINGS(1)

NAME
fish_vi_key_bindings - set vi key bindings for fish

SYNOPSIS
fish_vi_key_bindings
fish_vi_key_bindings [--no-erase] [INIT_MODE]

DESCRIPTION

fish_vi_key_bindings sets the vi key bindings for fish shell.

If a valid INIT_MODE is provided (insert, default, visual), then that mode will become the default . If no INIT_MODE is given, the mode defaults to insert mode.

The following parameters are available:

--no-erase
    Does not clear previous set bindings

    Further information on how to use vi-mode.

EXAMPLES

To start using vi key bindings:

fish_vi_key_bindings

or set -g fish_key_bindings fish_vi_key_bindings in config.fish.

COPYRIGHT
2023, fish-shell developers